The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Update Passive Device Profiling Setting at Domain Level

Prev Next

This URL updates passive device profiling setting at the domain level.

Resource URL

PUT /domain/<domain_id>/passivedeviceprofiling

Request Parameters

URL Parameters:

Field Name Description Data Type Mandatory
domain_id Domain id Number Yes

Payload Parameters:

Field Name Description Data Type Mandatory
inheritSettingsfromParentNode Inherit settings from parent node Boolean Yes
passiveDeviceProfilingSetting Passive device profiling setting Object Yes

Details of fields in passiveDeviceProfilingSetting:

Field Name Description Data Type Mandatory
profilingTechniques Profiling technique to use for device profiling Object Yes
profileExpiration Profile expiration duration for re-profiling of a device Object Yes
hostInactivityTimerInHrs Specifies the duration after which information for a device is considered invalid Number Yes

Details of fields in profilingTechniques:

Field Name Description Data Type Mandatory
DHCPEnableStatus Enable DHCP for device profiling boolean Yes
TCPEnableStatus Enable TCP for device profiling boolean Yes
HTTPEnableStatus Enable HTTP for device profiling boolean Yes

Details of fields in profileExpiration:

Field Name Description Data Type Mandatory
duration Profile expiration duration Number Yes
unit Profile expiration duration unit, can be "MINUTES" / "HOURS" String Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name Description Data Type
status Status returned by update Number

Example

Request

PUT https://%3CNSM_IP%3E/sdkapi/domain/0/passivedeviceprofiling

Payload

{
       		"inheritSettingsfromIPSSettingsNode": true,
       		"passiveDeviceProfilingSetting":
      		{
           		"profilingTechniques":
           		{
              			"DHCPEnableStatus": true,
              			"TCPEnableStatus": true,
               			"HTTPEnableStatus": false
           		},
           		"profileExpiration":
           		{
               			"duration": 30,
               			"unit": "MINUTES"
           		},
           		"hostInactivityTimerInHrs": 2
       		}
} 
{
"status": 1
} 
 

Error Information

Following error codes are returned by this URL:
No HTTP Error Code SDK API errorId SDK API errorMessage
1 404 1106 Invalid domain
2 400 3301 Profile expiration value must be between 5 and 59 minutes
3 400 3302 Profile expiration value must be between 1 and 12 hours
4 400 3303 Profile expiration value cannot be greater than host inactivity timer
5 400 3304 Please enable at least one profiling technique